Bug 1922850 - el8: recompile nagios-plugins against mariadb-connector-c (and fix spec file)
Summary: el8: recompile nagios-plugins against mariadb-connector-c (and fix spec file)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nagios-plugins
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Guido Aulisi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-31 22:28 UTC by Phil
Modified: 2021-04-06 01:29 UTC (History)
5 users (show)

Fixed In Version: nagios-plugins-2.3.3-5.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-06 01:29:20 UTC
Type: Bug


Attachments (Terms of Use)
fixes the dates, the source uri and the library used for el8 (1.78 KB, patch)
2021-01-31 22:28 UTC, Phil
no flags Details | Diff

Description Phil 2021-01-31 22:28:41 UTC
Created attachment 1752698 [details]
fixes the dates, the source uri and the library used for el8

In EL8 all relevant packages are compiled against mariadb-connector-c instead of mysql. The nagios-plugins-mysql package should adapt it and be rebuilt. This would allow the installation of MariaDB 10.[3-5], too.

Also the spec file is a little broken: The changelog dates are wrong, the source tarball uri returns a 404.

Thanks!

Comment 1 Fedora Admin user for bugzilla script actions 2021-02-20 00:05:34 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 2 Fedora Update System 2021-04-02 10:08:00 UTC
FEDORA-EPEL-2021-a32c50ac2c has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-a32c50ac2c

Comment 3 Fedora Update System 2021-04-03 01:26:39 UTC
FEDORA-EPEL-2021-a32c50ac2c has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-a32c50ac2c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-04-06 01:29:20 UTC
FEDORA-EPEL-2021-a32c50ac2c has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.